Bug 592744 - SIGSEGV in system-config-firewall responding to signal_emit_in_idle_do from gproxyvolumemonitor.c
SIGSEGV in system-config-firewall responding to signal_emit_in_idle_do from g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:060de996fb4860222c13dc50fe2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 12:09 EDT by DL
Modified: 2010-12-03 09:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.46 KB, text/plain)
2010-05-16 12:09 EDT, DL
no flags Details

  None (edit)
Description DL 2010-05-16 12:09:24 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/system-config-firewall
comment: Unmounted directory from a USB device which I then "safely removed". This could be a security issue on my side?
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-127.fc12.i686
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 11
release: Fedora release 12 (Constantine)
Comment 1 DL 2010-05-16 12:09:26 EDT
Created attachment 414378 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-05-17 13:15:05 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q system-config-firewall glib2 gtk2 pygtk2

Looking at the backtrace, it looks like the problem occurred in the program's single thread in type_check_is_value_type_U whilst responding to signal_emit_in_idle_do in gproxyvolumemonitor.c

Reassigning component from "python" to "glib2";  hopefully the glib2 maintainer will be able to figure this out further or reassign as necessary.
Comment 3 Bug Zapper 2010-11-03 10:47:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:39:26 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.